
Obd Server - Tareas #77

Create sorted tables

03/16/2018 09:22 PM - Jesús Freire

Status: En curso Start date: 03/16/2018

Priority: Normal Due date:  

Assignee: Jesús Freire % Done: 10%

Category:  Estimated time: 20:00 hours

Target version:  Spent time: 6:00 hours

Puntos de historia: 20   

Description

Modify repository parameters methods to recieve a list of fields to sort querys.

Modify JavaScript method loadDoc to recieve criteria and order parameters. Pass them to the controller.

The service will validate criteria and order fields throwing reflection methods against the model, searching for getter and setter

methods.

History

#1 - 03/17/2018 09:58 AM - Jesús Freire

- Description updated

- Estimated time changed from 16:00 h to 20:00 h

- Puntos de historia changed from 16 to 20

#2 - 03/22/2018 05:29 PM - Jesús Freire

- Status changed from Nueva to En curso

- Assignee set to Jesús Freire

#3 - 03/22/2018 05:29 PM - Jesús Freire

- Target version set to 0.0.9

#4 - 04/03/2018 02:46 PM - Jesús Freire

- Subject changed from Create ordered tables to Create sorted tables

#5 - 04/03/2018 02:51 PM - Jesús Freire

- Target version changed from 0.0.9 to 0.0.10

- Translation missing: en.field_sprint changed from 10 to 11

#6 - 04/25/2018 08:34 AM - Jesús Freire

- Target version deleted (0.0.10)

- Translation missing: en.field_sprint changed from 11 to 4
